> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ringbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Animated

> Create animated WebP/GIF from multiple images

<RequestExample>
  ```json Example Request theme={null}
  {
    "inputs": ["https://example.com/frame1.png",
      "https://example.com/frame2.png"],
    "format": "webp",
    "delay": 100
  }
  ```
</RequestExample>

| Param  | Type    | Description                          |
| ------ | ------- | ------------------------------------ |
| format | string  | Output format: webp or gif           |
| delay  | integer | Delay between frames in milliseconds |


## OpenAPI

````yaml POST /v1/image/animated
openapi: 3.0.3
info:
  title: MediAPI
  description: >-
    Media processing API — video, audio, image, and document transformations via
    simple REST calls.
  version: 1.0.0
servers:
  - url: https://api.ringbee.dev
    description: Production
security:
  - apiKey: []
paths:
  /v1/image/animated:
    post:
      tags:
        - Image
      summary: Animated
      description: Create animated WebP/GIF from multiple images
      operationId: imageAnimated
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - inputs
              properties:
                inputs:
                  type: array
                  items:
                    type: string
                  description: Array of input file URLs
                format:
                  type: string
                  description: 'Output format: webp or gif'
                delay:
                  type: integer
                  description: Delay between frames in milliseconds
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
      responses:
        '202':
          description: Job accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Usage limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobResponse:
      type: object
      properties:
        id:
          type: string
          example: job_abc123
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
            - cancelled
          example: pending
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````